summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2022-06-03 12:04:45 -0700
committerPaul Eggert <eggert@cs.ucla.edu>2022-06-03 13:07:07 -0700
commit0942f31bd8eabc14c9fc8f6219c9f1967685de0f (patch)
tree774a46b31e673584b0cf152a83b36ed938a62452
parent5e3d207d5b7dba28ca248475188a029570766bc1 (diff)
downloadgrep-0942f31bd8eabc14c9fc8f6219c9f1967685de0f.tar.gz
maint: spelling fixes
-rw-r--r--NEWS2
-rw-r--r--cfg.mk2
-rwxr-xr-xtests/hangul-syllable4
3 files changed, 4 insertions, 4 deletions
diff --git a/NEWS b/NEWS
index 0a18a9e7..5e20b9f6 100644
--- a/NEWS
+++ b/NEWS
@@ -14,7 +14,7 @@ GNU grep NEWS -*- outline -*-
The confusing GREP_COLOR environment variable is now obsolescent.
Instead of GREP_COLOR='xxx', use GREP_COLORS='mt=xxx'. grep now
warns if GREP_COLOR is used and is not overridden by GREP_COLORS.
- Also, grep now treates GREP_COLOR like GREP_COLORS by silently
+ Also, grep now treats GREP_COLOR like GREP_COLORS by silently
ignoring it if it attempts to inject ANSI terminal escapes.
Regular expressions with stray backslashes now cause warnings, as
diff --git a/cfg.mk b/cfg.mk
index 0b830a85..776d1fe9 100644
--- a/cfg.mk
+++ b/cfg.mk
@@ -179,5 +179,5 @@ sc_timeout_prereq:
| xargs grep -lw timeout \
| xargs grep -FLw require_timeout_ \
| $(GREP) . \
- && { echo '$(ME): timeout withtout use of require_timeout_' \
+ && { echo '$(ME): timeout without use of require_timeout_' \
1>&2; exit 1; } || :
diff --git a/tests/hangul-syllable b/tests/hangul-syllable
index fce5c2c8..961875de 100755
--- a/tests/hangul-syllable
+++ b/tests/hangul-syllable
@@ -15,7 +15,7 @@ export LC_ALL
# Check that '.' completely matches $1, i.e., that $1 is a single UTF-8 char.
check_char ()
{
- printf "$1\\n" >in || framewmork_failure_
+ printf "$1\\n" >in || framework_failure_
grep $2 '^.$' in >out || fail=1
cmp in out || fail=1
@@ -25,7 +25,7 @@ check_char ()
# $1 contains an encoding error.
check_nonchar ()
{
- printf "$1\\n" >in || framewmork_failure_
+ printf "$1\\n" >in || framework_failure_
grep -a -v '^.*$' in >out || fail=1
cmp in out || fail=1